Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class CannotProceedHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.CannotProceedHelper

public class CannotProceedHelper
extends java.lang.Object

Helper class for : CannotProceed

Author:
  OpenORB Compiler

Constructor Summary
`CannotProceedHelper()`

Method Summary
`static CannotProceed` | `extract(Any a)` Extract CannotProceed from an any
`static java.lang.String` | `id()` Return the CannotProceed IDL ID
`static void` | `insert(Any a, CannotProceed t)` Insert CannotProceed into an any
`static CannotProceed` | `read(InputStream istream)` Read CannotProceed from a marshalled stream
`static TypeCode` | `type()` Return the CannotProceed TypeCode
`static void` | `write(OutputStream ostream, CannotProceed value)` Write CannotProceed into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CannotProceedHelper

    public CannotProceedHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CannotProceed t)

  Insert CannotProceed into an any
  Parameters:
    `a` - an any
    `t` - CannotProceed value

### extract

    public static CannotProceed extract(Any a)

  Extract CannotProceed from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CannotProceed value

### type

    public static TypeCode type()

  Return the CannotProceed TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CannotProceed IDL ID
  Returns:
    an ID

### read

    public static CannotProceed read(InputStream istream)

  Read CannotProceed from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CannotProceed value

### write

    public static void write(OutputStream ostream,
                             CannotProceed value)

  Write CannotProceed into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CannotProceed value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD